add_library(editor editor.cpp project/project.cpp panels/iPanel.cpp panels/mainPanel.cpp panels/about.cpp panels/assetBrowser.cpp)

target_include_directories(editor
    PUBLIC "${PROJECT_BINARY_DIR}"
    PUBLIC ../../
    PUBLIC ../../internal_libs
    PUBLIC ../../../external/glm
    PUBLIC ../../../external/glad/include
    PUBLIC ../../../external/glfw/include
    PUBLIC ../../../external/box2d/include
    PUBLIC ../../../external/pugixml/src
)